Bug 1271709 - Races in httptest in go1.5.1
Summary: Races in httptest in go1.5.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vincent Batts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-14 14:14 UTC by Jordan Liggitt
Modified: 2016-10-10 18:47 UTC (History)
8 users (show)

Fixed In Version: golang-1.7.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-10 18:47:40 UTC


Attachments (Terms of Use)

Description Jordan Liggitt 2015-10-14 14:14:57 UTC
Description of problem:
Data races in httptest packages are causing test failures when testing against go1.5.1.

See 
https://github.com/golang/go/issues/12789
https://github.com/golang/go/issues/12781


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Eric Paris 2015-10-14 14:16:30 UTC
This is causing issues building OpenShift using 1.5.1. We had to revert to 1.4.2.

Comment 2 Vincent Batts 2015-10-15 15:06:09 UTC
(In reply to Eric Paris from comment #1)
> This is causing issues building OpenShift using 1.5.1. We had to revert to
> 1.4.2.

Where's your build of go1.4.2 coming from? In the interim, let's get that build updated to go1.4.3 (https://storage.googleapis.com/golang/go1.4.3.src.tar.gz) as there are several CVE's addressed there.

Comment 3 Vincent Batts 2015-10-15 15:31:04 UTC
testing the last patches (commit a35d7b3b) from https://go-review.googlesource.com/#/c/15151/ fixes the issue on go1.5.1 (and master) for me.

Comment 4 Vincent Batts 2015-10-16 14:23:14 UTC
(In reply to Vincent Batts from comment #3)
> testing the last patches (commit a35d7b3b) from
> https://go-review.googlesource.com/#/c/15151/ fixes the issue on go1.5.1
> (and master) for me.

Thought that changeset is still in heavy churn. Waiting for it to settle.

Comment 5 Vincent Batts 2015-10-16 14:23:21 UTC
(In reply to Vincent Batts from comment #3)
> testing the last patches (commit a35d7b3b) from
> https://go-review.googlesource.com/#/c/15151/ fixes the issue on go1.5.1
> (and master) for me.

Thought that changeset is still in heavy churn. Waiting for it to settle.

Comment 6 Vincent Batts 2015-10-20 00:18:20 UTC
https://github.com/golang/go/commit/a3156aaa121446c4136927f8c2139fefe05ba82c merged. I'm picking the patch right now, for the golang rpm.

Comment 7 Fedora Update System 2015-10-20 23:35:29 UTC
golang-1.5.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-dbe16a527c

Comment 8 Fedora Update System 2015-10-26 19:50:58 UTC
golang-1.5.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update golang'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-dbe16a527c

Comment 9 Jan Kurik 2016-02-24 13:50:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 10 Fedora Update System 2016-09-26 11:17:14 UTC
golang-1.7.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1117d3c7f6

Comment 11 Fedora Update System 2016-10-10 18:47:40 UTC
golang-1.7.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.